<?php
/**
 * Customizer colour options
 *
 * @package   LSX Customizer
 * @author    LightSpeed
 * @license   GPL3
 * @link
 * @copyright 2016 LightSpeed
 */

global $customizer_colour_names;
global $customizer_colour_choices;

$customizer_colour_names = apply_filters( 'lsx_customizer_colour_names', array(
	'button_background_color'       => esc_html__( 'Background', 'lsx-customizer' ),
	'button_background_hover_color' => esc_html__( 'Background (hover)', 'lsx-customizer' ),
	'button_text_color'             => esc_html__( 'Text', 'lsx-customizer' ),
	'button_text_color_hover'       => esc_html__( 'Text (hover)', 'lsx-customizer' ),
	'button_shadow'                 => esc_html__( 'Shadow', 'lsx-customizer' ),

	'button_cta_background_color'       => esc_html__( 'Background', 'lsx-customizer' ),
	'button_cta_background_hover_color' => esc_html__( 'Background (hover)', 'lsx-customizer' ),
	'button_cta_text_color'             => esc_html__( 'Text', 'lsx-customizer' ),
	'button_cta_text_color_hover'       => esc_html__( 'Text (hover)', 'lsx-customizer' ),
	'button_cta_shadow'                 => esc_html__( 'Shadow', 'lsx-customizer' ),

	'button_secondary_background_color'       => esc_html__( 'Background', 'lsx-customizer' ),
	'button_secondary_background_hover_color' => esc_html__( 'Background (hover)', 'lsx-customizer' ),
	'button_secondary_text_color'             => esc_html__( 'Text', 'lsx-customizer' ),
	'button_secondary_text_color_hover'       => esc_html__( 'Text (hover)', 'lsx-customizer' ),
	'button_secondary_shadow'                 => esc_html__( 'Shadow', 'lsx-customizer' ),

	'button_tertiary_background_color'       => esc_html__( 'Background', 'lsx-customizer' ),
	'button_tertiary_background_hover_color' => esc_html__( 'Background (hover)', 'lsx-customizer' ),
	'button_tertiary_text_color'             => esc_html__( 'Text', 'lsx-customizer' ),
	'button_tertiary_text_color_hover'       => esc_html__( 'Text (hover)', 'lsx-customizer' ),
	'button_tertiary_shadow'                 => esc_html__( 'Shadow', 'lsx-customizer' ),

	'top_menu_background_color'          => esc_html__( 'Background', 'lsx-customizer' ),
	'top_menu_link_color'                => esc_html__( 'Link', 'lsx-customizer' ),
	'top_menu_link_hover_color'          => esc_html__( 'Link (hover)', 'lsx-customizer' ),
	'top_menu_icon_color'                => esc_html__( 'Icon', 'lsx-customizer' ),
	'top_menu_icon_hover_color'          => esc_html__( 'Icon (hover)', 'lsx-customizer' ),
	'top_menu_dropdown_color'            => esc_html__( 'Dropdown', 'lsx-customizer' ),
	'top_menu_dropdown_hover_color'      => esc_html__( 'Dropdown (hover)', 'lsx-customizer' ),
	'top_menu_dropdown_link_color'       => esc_html__( 'Dropdown link', 'lsx-customizer' ),
	'top_menu_dropdown_link_hover_color' => esc_html__( 'Dropdown link (hover)', 'lsx-customizer' ),

	'header_background_color'  => esc_html__( 'Background', 'lsx-customizer' ),
	'header_link_color'        => esc_html__( 'Link', 'lsx-customizer' ),
	'header_link_hover_color'  => esc_html__( 'Link (hover)', 'lsx-customizer' ),
	'header_description_color' => esc_html__( 'Description', 'lsx-customizer' ),

	'main_menu_background_color'                => esc_html__( 'Background', 'lsx-customizer' ),
	'main_menu_link_color'                      => esc_html__( 'Link', 'lsx-customizer' ),
	'main_menu_link_hover_color'                => esc_html__( 'Link (hover)', 'lsx-customizer' ),
	'main_menu_dropdown_background_color'       => esc_html__( 'Dropdown', 'lsx-customizer' ),
	'main_menu_dropdown_background_hover_color' => esc_html__( 'Dropdown (hover)', 'lsx-customizer' ),
	'main_menu_dropdown_link_color'             => esc_html__( 'Dropdown link', 'lsx-customizer' ),
	'main_menu_dropdown_link_hover_color'       => esc_html__( 'Dropdown link (hover)', 'lsx-customizer' ),

	'banner_background_color'               => esc_html__( 'Background', 'lsx-customizer' ),
	'banner_text_color'                     => esc_html__( 'Text', 'lsx-customizer' ),
	'banner_text_image_color'               => esc_html__( 'Text (over image)', 'lsx-customizer' ),
	'banner_breadcrumb_background_color'    => esc_html__( 'Breadcrumb Background', 'lsx-customizer' ),
	'banner_breadcrumb_text_color'          => esc_html__( 'Breadcrumb Text', 'lsx-customizer' ),
	'banner_breadcrumb_text_selected_color' => esc_html__( 'Breadcrumb Text (selected)', 'lsx-customizer' ),

	'background_color'                       => esc_html__( 'Background', 'lsx-customizer' ),
	'body_line_color'                        => esc_html__( 'Line', 'lsx-customizer' ),
	'body_text_heading_color'                => esc_html__( 'Text (heading)', 'lsx-customizer' ),
	'body_text_small_color'                  => esc_html__( 'Text (small)', 'lsx-customizer' ),
	'body_text_color'                        => esc_html__( 'Text', 'lsx-customizer' ),
	'body_link_color'                        => esc_html__( 'Link', 'lsx-customizer' ),
	'body_link_hover_color'                  => esc_html__( 'Link (hover)', 'lsx-customizer' ),
	'body_section_full_background_color'     => esc_html__( 'Section full (background)', 'lsx-customizer' ),
	'body_section_full_text_color'           => esc_html__( 'Section full (text)', 'lsx-customizer' ),
	'body_section_full_link_color'           => esc_html__( 'Section full (link)', 'lsx-customizer' ),
	'body_section_full_link_hover_color'     => esc_html__( 'Section full (link hover)', 'lsx-customizer' ),
	'body_section_full_cta_background_color' => esc_html__( 'Section full CTA (background)', 'lsx-customizer' ),
	'body_section_full_cta_text_color'       => esc_html__( 'Section full CTA (text)', 'lsx-customizer' ),
	'body_section_full_cta_link_color'       => esc_html__( 'Section full CTA (link)', 'lsx-customizer' ),
	'body_section_full_cta_link_hover_color' => esc_html__( 'Section full CTA (link hover)', 'lsx-customizer' ),

	'footer_cta_background_color' => esc_html__( 'Background', 'lsx-customizer' ),
	'footer_cta_text_color'       => esc_html__( 'Text', 'lsx-customizer' ),
	'footer_cta_link_color'       => esc_html__( 'Link', 'lsx-customizer' ),
	'footer_cta_link_hover_color' => esc_html__( 'Link (hover)', 'lsx-customizer' ),

	'footer_widgets_background_color' => esc_html__( 'Background', 'lsx-customizer' ),
	'footer_widgets_text_color'       => esc_html__( 'Text', 'lsx-customizer' ),
	'footer_widgets_link_color'       => esc_html__( 'Link', 'lsx-customizer' ),
	'footer_widgets_link_hover_color' => esc_html__( 'Link (hover)', 'lsx-customizer' ),

	'footer_background_color' => esc_html__( 'Background', 'lsx-customizer' ),
	'footer_text_color'       => esc_html__( 'Text', 'lsx-customizer' ),
	'footer_link_color'       => esc_html__( 'Link', 'lsx-customizer' ),
	'footer_link_hover_color' => esc_html__( 'Link (hover)', 'lsx-customizer' ),
) );

$customizer_colour_choices = apply_filters( 'lsx_customizer_colour_choices', array(
	'default' => array(
		'label'  => __( 'Default', 'lsx-customizer' ),
		'colors' => apply_filters( 'lsx_customizer_colour_choices_default', array(
			'button_background_color'       => '#418AD0',
			'button_background_hover_color' => '#367DC0',
			'button_text_color'             => '#FFFFFF',
			'button_text_color_hover'       => '#FFFFFF',
			'button_shadow'                 => '#27639E',

			'button_cta_background_color'       => '#F7AE00',
			'button_cta_background_hover_color' => '#EDA700',
			'button_cta_text_color'             => '#FFFFFF',
			'button_cta_text_color_hover'       => '#FFFFFF',
			'button_cta_shadow'                 => '#AB7800',

			'button_secondary_background_color'       => '#EAEAEA',
			'button_secondary_background_hover_color' => '#CCCCCC',
			'button_secondary_text_color'             => '#4A4A4A',
			'button_secondary_text_color_hover'       => '#4A4A4A',
			'button_secondary_shadow'                 => '#C4C4C4',

			'button_tertiary_background_color'       => '#6BA913',
			'button_tertiary_background_hover_color' => '#649E12',
			'button_tertiary_text_color'             => '#FFFFFF',
			'button_tertiary_text_color_hover'       => '#FFFFFF',
			'button_tertiary_shadow'                 => '#3F640B',

			'top_menu_background_color'          => '#333333',
			'top_menu_link_color'                => '#FFFFFF',
			'top_menu_link_hover_color'          => '#D93A3A',
			'top_menu_icon_color'                => '#D93A3A',
			'top_menu_icon_hover_color'          => '#D93A3A',
			'top_menu_dropdown_color'            => '#333333',
			'top_menu_dropdown_hover_color'      => '#333333',
			'top_menu_dropdown_link_color'       => '#FFFFFF',
			'top_menu_dropdown_link_hover_color' => '#D93A3A',

			'header_background_color'  => '#FFFFFF',
			'header_link_color'        => '#D84E2E',
			'header_link_hover_color'  => '#F7AE00',
			'header_description_color' => '#434343',

			'main_menu_background_color'                => '#FFFFFF',
			'main_menu_link_color'                      => '#515151',
			'main_menu_link_hover_color'                => '#418AD0',
			'main_menu_dropdown_background_color'       => '#374750',
			'main_menu_dropdown_background_hover_color' => '#2B3840',
			'main_menu_dropdown_link_color'             => '#FFFFFF',
			'main_menu_dropdown_link_hover_color'       => '#418AD0',

			'banner_background_color'               => '#2B3840',
			'banner_text_color'                     => '#FFFFFF',
			'banner_text_image_color'               => '#FFFFFF',
			'banner_breadcrumb_background_color'    => '#374750',
			'banner_breadcrumb_text_color'          => '#919191',
			'banner_breadcrumb_text_selected_color' => '#FFFFFF',

			'background_color'                       => '#F6F6F6',
			'body_line_color'                        => '#DADDDF',
			'body_text_heading_color'                => '#4A4A4A',
			'body_text_small_color'                  => '#919191',
			'body_text_color'                        => '#4A4A4A',
			'body_link_color'                        => '#418AD0',
			'body_link_hover_color'                  => '#F7AE00',
			'body_section_full_background_color'     => '#FFFFFF',
			'body_section_full_text_color'           => '#4A4A4A',
			'body_section_full_link_color'           => '#418AD0',
			'body_section_full_link_hover_color'     => '#F7AE00',
			'body_section_full_cta_background_color' => '#418AD0',
			'body_section_full_cta_text_color'       => '#FFFFFF',
			'body_section_full_cta_link_color'       => '#374750',
			'body_section_full_cta_link_hover_color' => '#F7AE00',

			'footer_cta_background_color' => '#2B3840',
			'footer_cta_text_color'       => '#FFFFFF',
			'footer_cta_link_color'       => '#418AD0',
			'footer_cta_link_hover_color' => '#367DC0',

			'footer_widgets_background_color' => '#374750',
			'footer_widgets_text_color'       => '#FFFFFF',
			'footer_widgets_link_color'       => '#FFFFFF',
			'footer_widgets_link_hover_color' => '#F7AE00',

			'footer_background_color' => '#2B3840',
			'footer_text_color'       => '#ffffff',
			'footer_link_color'       => '#F7AE00',
			'footer_link_hover_color' => '#CE9100',
		) ),
	),
	// 'red' => array(
	// 	'label'  => __( 'Red', 'lsx-customizer' ),
	// 	'colors' => apply_filters( 'lsx_customizer_colour_choices_red', array(
	// 		'button_background_color'       => '#b64d3f',
	// 		'button_background_hover_color' => '#87291c',
	// 		'button_text_color'             => '#ffffff',
	// 		'button_text_color_hover'       => '#ffffff',
	// 		'button_shadow'                 => '#87291c',

	// 		'button_cta_background_color'       => '#f7941d',
	// 		'button_cta_background_hover_color' => '#f7741d',
	// 		'button_cta_text_color'             => '#ffffff',
	// 		'button_cta_text_color_hover'       => '#ffffff',
	// 		'button_cta_shadow'                 => '#f7741d',

	// 		'button_secondary_background_color'       => '#EAEAEA',
	// 		'button_secondary_background_hover_color' => '#CCCCCC',
	// 		'button_secondary_text_color'             => '#4A4A4A',
	// 		'button_secondary_text_color_hover'       => '#4A4A4A',
	// 		'button_secondary_shadow'                 => '#C4C4C4',

	// 		'button_tertiary_background_color'       => '#6BA913',
	// 		'button_tertiary_background_hover_color' => '#649E12',
	// 		'button_tertiary_text_color'             => '#FFFFFF',
	// 		'button_tertiary_text_color_hover'       => '#FFFFFF',
	// 		'button_tertiary_shadow'                 => '#3F640B',

	// 		'top_menu_background_color'          => '#333333',
	// 		'top_menu_link_color'                => '#ffffff',
	// 		'top_menu_link_hover_color'          => '#eaa520',
	// 		'top_menu_icon_color'                => '#eaa520',
	// 		'top_menu_icon_hover_color'          => '#ffffff',
	// 		'top_menu_dropdown_color'            => '#333333',
	// 		'top_menu_dropdown_hover_color'      => '#444444',
	// 		'top_menu_dropdown_link_color'       => '#ffffff',
	// 		'top_menu_dropdown_link_hover_color' => '#eaa520',

	// 		'header_background_color'  => '#ffffff',
	// 		'header_link_color'        => '#b64d3f',
	// 		'header_link_hover_color'  => '#87291c',
	// 		'header_description_color' => '#555555',

	// 		'main_menu_background_color'                => '#ffffff',
	// 		'main_menu_link_color'                      => '#555555',
	// 		'main_menu_link_hover_color'                => '#ffffff',
	// 		'main_menu_dropdown_background_color'       => '#b64d3f',
	// 		'main_menu_dropdown_background_hover_color' => '#b64d3f',
	// 		'main_menu_dropdown_link_color'             => '#ffffff',
	// 		'main_menu_dropdown_link_hover_color'       => '#dddddd',

	// 		'banner_background_color'               => '#87291c',
	// 		'banner_text_color'                     => '#ffffff',
	// 		'banner_text_image_color'               => '#ffffff',
	// 		'banner_breadcrumb_background_color'    => '#374750',
	// 		'banner_breadcrumb_text_color'          => '#919191',
	// 		'banner_breadcrumb_text_selected_color' => '#ffffff',

	// 		'background_color'                       => '#ffffff',
	// 		'body_line_color'                        => '#dddddd',
	// 		'body_text_heading_color'                => '#333333',
	// 		'body_text_small_color'                  => '#919191',
	// 		'body_text_color'                        => '#333333',
	// 		'body_link_color'                        => '#b64d3f',
	// 		'body_link_hover_color'                  => '#87291c',
	// 		'body_section_full_background_color'     => '#b64d3f',
	// 		'body_section_full_text_color'           => '#ffffff',
	// 		'body_section_full_link_color'           => '#eeeeee',
	// 		'body_section_full_link_hover_color'     => '#dddddd',
	// 		'body_section_full_cta_background_color' => '#333333',
	// 		'body_section_full_cta_text_color'       => '#ffffff',
	// 		'body_section_full_cta_link_color'       => '#eeeeee',
	// 		'body_section_full_cta_link_hover_color' => '#dddddd',

	// 		'footer_cta_background_color' => '#b64d3f',
	// 		'footer_cta_text_color'       => '#ffffff',
	// 		'footer_cta_link_color'       => '#ffffff',
	// 		'footer_cta_link_hover_color' => '#eeeeee',

	// 		'footer_widgets_background_color' => '#333333',
	// 		'footer_widgets_text_color'       => '#ffffff',
	// 		'footer_widgets_link_color'       => '#b64d3f',
	// 		'footer_widgets_link_hover_color' => '#969696',

	// 		'footer_background_color' => '#232222',
	// 		'footer_text_color'       => '#ffffff',
	// 		'footer_link_color'       => '#b64d3f',
	// 		'footer_link_hover_color' => '#969696',
	// 	) ),
	// ),
	// 'orange' => array(
	// 	'label'  => __( 'Orange', 'lsx-customizer' ),
	// 	'colors' => apply_filters( 'lsx_customizer_colour_choices_orange', array(
	// 		'button_background_color'       => '#fbaf3f',
	// 		'button_background_hover_color' => '#e49435',
	// 		'button_text_color'             => '#260e03',
	// 		'button_text_color_hover'       => '#260e03',
	// 		'button_shadow'                 => '#e49435',

	// 		'button_cta_background_color'       => '#f7941d',
	// 		'button_cta_background_hover_color' => '#f7741d',
	// 		'button_cta_text_color'             => '#ffffff',
	// 		'button_cta_text_color_hover'       => '#ffffff',
	// 		'button_cta_shadow'                 => '#f7741d',

	// 		'button_secondary_background_color'       => '#EAEAEA',
	// 		'button_secondary_background_hover_color' => '#CCCCCC',
	// 		'button_secondary_text_color'             => '#4A4A4A',
	// 		'button_secondary_text_color_hover'       => '#4A4A4A',
	// 		'button_secondary_shadow'                 => '#C4C4C4',

	// 		'button_tertiary_background_color'       => '#6BA913',
	// 		'button_tertiary_background_hover_color' => '#649E12',
	// 		'button_tertiary_text_color'             => '#FFFFFF',
	// 		'button_tertiary_text_color_hover'       => '#FFFFFF',
	// 		'button_tertiary_shadow'                 => '#3F640B',

	// 		'top_menu_background_color'          => '#333333',
	// 		'top_menu_link_color'                => '#ffffff',
	// 		'top_menu_link_hover_color'          => '#e4701e',
	// 		'top_menu_icon_color'                => '#e4701e',
	// 		'top_menu_icon_hover_color'          => '#ffffff',
	// 		'top_menu_dropdown_color'            => '#333333',
	// 		'top_menu_dropdown_hover_color'      => '#444444',
	// 		'top_menu_dropdown_link_color'       => '#ffffff',
	// 		'top_menu_dropdown_link_hover_color' => '#e4701e',

	// 		'header_background_color'  => '#ffffff',
	// 		'header_link_color'        => '#e4701e',
	// 		'header_link_hover_color'  => '#cc4800',
	// 		'header_description_color' => '#777777',

	// 		'main_menu_background_color'                => '#ffffff',
	// 		'main_menu_link_color'                      => '#555555',
	// 		'main_menu_link_hover_color'                => '#ffffff',
	// 		'main_menu_dropdown_background_color'       => '#fbaf3f',
	// 		'main_menu_dropdown_background_hover_color' => '#fbaf3f',
	// 		'main_menu_dropdown_link_color'             => '#ffffff',
	// 		'main_menu_dropdown_link_hover_color'       => '#eeeeee',

	// 		'banner_background_color'               => '#e49435',
	// 		'banner_text_color'                     => '#ffffff',
	// 		'banner_text_image_color'               => '#ffffff',
	// 		'banner_breadcrumb_background_color'    => '#374750',
	// 		'banner_breadcrumb_text_color'          => '#919191',
	// 		'banner_breadcrumb_text_selected_color' => '#ffffff',

	// 		'background_color'                       => '#ffffff',
	// 		'body_line_color'                        => '#dddddd',
	// 		'body_text_heading_color'                => '#333333',
	// 		'body_text_small_color'                  => '#919191',
	// 		'body_text_color'                        => '#333333',
	// 		'body_link_color'                        => '#e4701e',
	// 		'body_link_hover_color'                  => '#cc4800',
	// 		'body_section_full_background_color'     => '#fbaf3f',
	// 		'body_section_full_text_color'           => '#ffffff',
	// 		'body_section_full_link_color'           => '#eeeeee',
	// 		'body_section_full_link_hover_color'     => '#dddddd',
	// 		'body_section_full_cta_background_color' => '#333333',
	// 		'body_section_full_cta_text_color'       => '#ffffff',
	// 		'body_section_full_cta_link_color'       => '#eeeeee',
	// 		'body_section_full_cta_link_hover_color' => '#dddddd',

	// 		'footer_cta_background_color' => '#fbaf3f',
	// 		'footer_cta_text_color'       => '#555555',
	// 		'footer_cta_link_color'       => '#e4701e',
	// 		'footer_cta_link_hover_color' => '#969696',

	// 		'footer_widgets_background_color' => '#333333',
	// 		'footer_widgets_text_color'       => '#ffffff',
	// 		'footer_widgets_link_color'       => '#e4701e',
	// 		'footer_widgets_link_hover_color' => '#969696',

	// 		'footer_background_color' => '#232222',
	// 		'footer_text_color'       => '#ffffff',
	// 		'footer_link_color'       => '#e4701e',
	// 		'footer_link_hover_color' => '#969696',
	// 	) ),
	// ),
	// 'green' => array(
	// 	'label'  => __( 'Green', 'lsx-customizer' ),
	// 	'colors' => apply_filters( 'lsx_customizer_colour_choices_green', array(
	// 		'button_background_color'       => '#596b46',
	// 		'button_background_hover_color' => '#3d4a30',
	// 		'button_text_color'             => '#ffffff',
	// 		'button_text_color_hover'       => '#ffffff',
	// 		'button_shadow'                 => '#3d4a30',

	// 		'button_cta_background_color'       => '#f7941d',
	// 		'button_cta_background_hover_color' => '#f7741d',
	// 		'button_cta_text_color'             => '#ffffff',
	// 		'button_cta_text_color_hover'       => '#ffffff',
	// 		'button_cta_shadow'                 => '#f7741d',

	// 		'button_secondary_background_color'       => '#EAEAEA',
	// 		'button_secondary_background_hover_color' => '#CCCCCC',
	// 		'button_secondary_text_color'             => '#4A4A4A',
	// 		'button_secondary_text_color_hover'       => '#4A4A4A',
	// 		'button_secondary_shadow'                 => '#C4C4C4',

	// 		'button_tertiary_background_color'       => '#6BA913',
	// 		'button_tertiary_background_hover_color' => '#649E12',
	// 		'button_tertiary_text_color'             => '#FFFFFF',
	// 		'button_tertiary_text_color_hover'       => '#FFFFFF',
	// 		'button_tertiary_shadow'                 => '#3F640B',

	// 		'top_menu_background_color'          => '#333333',
	// 		'top_menu_link_color'                => '#ffffff',
	// 		'top_menu_link_hover_color'          => '#a5a370',
	// 		'top_menu_icon_color'                => '#a5a370',
	// 		'top_menu_icon_hover_color'          => '#ffffff',
	// 		'top_menu_dropdown_color'            => '#333333',
	// 		'top_menu_dropdown_hover_color'      => '#444444',
	// 		'top_menu_dropdown_link_color'       => '#ffffff',
	// 		'top_menu_dropdown_link_hover_color' => '#a5a370',

	// 		'header_background_color'  => '#ffffff',
	// 		'header_link_color'        => '#596b46',
	// 		'header_link_hover_color'  => '#3d4a30',
	// 		'header_description_color' => '#777777',

	// 		'main_menu_background_color'                => '#ffffff',
	// 		'main_menu_link_color'                      => '#555555',
	// 		'main_menu_link_hover_color'                => '#ffffff',
	// 		'main_menu_dropdown_background_color'       => '#596b46',
	// 		'main_menu_dropdown_background_hover_color' => '#596b46',
	// 		'main_menu_dropdown_link_color'             => '#ffffff',
	// 		'main_menu_dropdown_link_hover_color'       => '#eeeeee',

	// 		'banner_background_color'               => '#3d4a30',
	// 		'banner_text_color'                     => '#ffffff',
	// 		'banner_text_image_color'               => '#ffffff',
	// 		'banner_breadcrumb_background_color'    => '#374750',
	// 		'banner_breadcrumb_text_color'          => '#919191',
	// 		'banner_breadcrumb_text_selected_color' => '#ffffff',

	// 		'background_color'                       => '#ffffff',
	// 		'body_line_color'                        => '#dddddd',
	// 		'body_text_heading_color'                => '#333333',
	// 		'body_text_small_color'                  => '#919191',
	// 		'body_text_color'                        => '#333333',
	// 		'body_link_color'                        => '#596b46',
	// 		'body_link_hover_color'                  => '#3d4a30',
	// 		'body_section_full_background_color'     => '#596b46',
	// 		'body_section_full_text_color'           => '#ffffff',
	// 		'body_section_full_link_color'           => '#eeeeee',
	// 		'body_section_full_link_hover_color'     => '#dddddd',
	// 		'body_section_full_cta_background_color' => '#333333',
	// 		'body_section_full_cta_text_color'       => '#ffffff',
	// 		'body_section_full_cta_link_color'       => '#eeeeee',
	// 		'body_section_full_cta_link_hover_color' => '#dddddd',

	// 		'footer_cta_background_color' => '#596b46',
	// 		'footer_cta_text_color'       => '#ffffff',
	// 		'footer_cta_link_color'       => '#596b46',
	// 		'footer_cta_link_hover_color' => '#969696',

	// 		'footer_widgets_background_color' => '#333333',
	// 		'footer_widgets_text_color'       => '#ffffff',
	// 		'footer_widgets_link_color'       => '#596b46',
	// 		'footer_widgets_link_hover_color' => '#969696',

	// 		'footer_background_color' => '#232222',
	// 		'footer_text_color'       => '#ffffff',
	// 		'footer_link_color'       => '#596b46',
	// 		'footer_link_hover_color' => '#969696',
	// 	) ),
	// ),
	// 'brown' => array(
	// 	'label'  => __( 'Brown', 'lsx-customizer' ),
	// 	'colors' => apply_filters( 'lsx_customizer_colour_choices_brown', array(
	// 		'button_background_color'       => '#8c6a45',
	// 		'button_background_hover_color' => '#5b452e',
	// 		'button_text_color'             => '#ffffff',
	// 		'button_text_color_hover'       => '#ffffff',
	// 		'button_shadow'                 => '#5b452e',

	// 		'button_cta_background_color'       => '#f7941d',
	// 		'button_cta_background_hover_color' => '#f7741d',
	// 		'button_cta_text_color'             => '#ffffff',
	// 		'button_cta_text_color_hover'       => '#ffffff',
	// 		'button_cta_shadow'                 => '#f7741d',

	// 		'button_secondary_background_color'       => '#EAEAEA',
	// 		'button_secondary_background_hover_color' => '#CCCCCC',
	// 		'button_secondary_text_color'             => '#4A4A4A',
	// 		'button_secondary_text_color_hover'       => '#4A4A4A',
	// 		'button_secondary_shadow'                 => '#C4C4C4',

	// 		'button_tertiary_background_color'       => '#6BA913',
	// 		'button_tertiary_background_hover_color' => '#649E12',
	// 		'button_tertiary_text_color'             => '#FFFFFF',
	// 		'button_tertiary_text_color_hover'       => '#FFFFFF',
	// 		'button_tertiary_shadow'                 => '#3F640B',

	// 		'top_menu_background_color'          => '#333333',
	// 		'top_menu_link_color'                => '#ffffff',
	// 		'top_menu_link_hover_color'          => '#dfad55',
	// 		'top_menu_icon_color'                => '#dfad55',
	// 		'top_menu_icon_hover_color'          => '#ffffff',
	// 		'top_menu_dropdown_color'            => '#333333',
	// 		'top_menu_dropdown_hover_color'      => '#444444',
	// 		'top_menu_dropdown_link_color'       => '#ffffff',
	// 		'top_menu_dropdown_link_hover_color' => '#dfad55',

	// 		'header_background_color'  => '#ffffff',
	// 		'header_link_color'        => '#8c6a45',
	// 		'header_link_hover_color'  => '#5b452e',
	// 		'header_description_color' => '#777777',

	// 		'main_menu_background_color'                => '#ffffff',
	// 		'main_menu_link_color'                      => '#555555',
	// 		'main_menu_link_hover_color'                => '#ffffff',
	// 		'main_menu_dropdown_background_color'       => '#8c6a45',
	// 		'main_menu_dropdown_background_hover_color' => '#8c6a45',
	// 		'main_menu_dropdown_link_color'             => '#ffffff',
	// 		'main_menu_dropdown_link_hover_color'       => '#eeeeee',

	// 		'banner_background_color'               => '#5b452e',
	// 		'banner_text_color'                     => '#ffffff',
	// 		'banner_text_image_color'               => '#ffffff',
	// 		'banner_breadcrumb_background_color'    => '#374750',
	// 		'banner_breadcrumb_text_color'          => '#919191',
	// 		'banner_breadcrumb_text_selected_color' => '#ffffff',

	// 		'background_color'                       => '#ffffff',
	// 		'body_line_color'                        => '#dddddd',
	// 		'body_text_heading_color'                => '#333333',
	// 		'body_text_small_color'                  => '#919191',
	// 		'body_text_color'                        => '#333333',
	// 		'body_link_color'                        => '#8c6a45',
	// 		'body_link_hover_color'                  => '#5b452e',
	// 		'body_section_full_background_color'     => '#8c6a45',
	// 		'body_section_full_text_color'           => '#ffffff',
	// 		'body_section_full_link_color'           => '#eeeeee',
	// 		'body_section_full_link_hover_color'     => '#dddddd',
	// 		'body_section_full_cta_background_color' => '#333333',
	// 		'body_section_full_cta_text_color'       => '#ffffff',
	// 		'body_section_full_cta_link_color'       => '#eeeeee',
	// 		'body_section_full_cta_link_hover_color' => '#dddddd',

	// 		'footer_cta_background_color' => '#8c6a45',
	// 		'footer_cta_text_color'       => '#ffffff',
	// 		'footer_cta_link_color'       => '#8c6a45',
	// 		'footer_cta_link_hover_color' => '#969696',

	// 		'footer_widgets_background_color' => '#333333',
	// 		'footer_widgets_text_color'       => '#ffffff',
	// 		'footer_widgets_link_color'       => '#8c6a45',
	// 		'footer_widgets_link_hover_color' => '#969696',

	// 		'footer_background_color' => '#232222',
	// 		'footer_text_color'       => '#ffffff',
	// 		'footer_link_color'       => '#8c6a45',
	// 		'footer_link_hover_color' => '#969696',
	// 	) ),
	// ),
) );
